# Module sqlite

SQLite3 data access layer

## Functions

add_index
add_unique_constraint
begin
changeConnection
close
commit
count
deleteWhere
drop_index
drop_reset_schema
drop_unique_constraint
dropTable
dropTables
get_db_filepath
get_sql_logging
getVersion
init
insert
listScTables
listTables
listUserDefinedTables
query
rollback
select
selectMaybeOne
selectOne
set_sql_logging
sql_log
update
updateWhere

## References

openOrUseTransaction → openOrUseTransaction
slugify → slugify
tryCatchInTransaction → tryCatchInTransaction
whenTransactionisFree → whenTransactionisFree
withTransaction → withTransaction